package rcs;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.lang.string.*;

public class rcsServlet1 extends HttpServlet {

  /**
   * Initialize global variables
   */
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  /**
   * Process the HTTP Get request
   */
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    //
    String userName = "";
    try { userName = request.getParameter("userName"); } catch (Exception e) { e.printStackTrace(); }
    //
    String pwd = "";
    try { pwd = request.getParameter("pwd"); } catch (Exception e) { e.printStackTrace(); }
    //
    String page = "";
    try { page = request.getParameter("page"); } catch (Exception e) { e.printStackTrace(); }
    response.setContentType("text/html");
    OutputStreamWriter osw = new OutputStreamWriter(response.getOutputStream());
    PrintWriter out = new PrintWriter (response.getOutputStream());
    out.println("<html>");
    out.println("<head><title>RCS - information browser</title></head>");
    out.println("<body>");
		out.println("=====================================================<br>");
		out.println("IO Internet Reader :<br>");
		out.println("-----------------------------------------------------<br>");
		out.println("RCSClLib version : " + RCSClLib.getVersionString()+"<br>");
		out.println("Connecting ... <br>");
    String userNameX="SYSTEM";
    String passWord="IO2000RCS";
    String tableName=null;
    tableName="SYSRCSTAB";
    //tableName="SYSRCSCOL";
    //tableName="SYSPRIMARYKEYS";
    //tableName="SYSCONSTANTS";
    //tableName="ENGINE";
//		boolean RCSClLibStatus = RCSClLib.connect ("127.0.0.1",81,"GUEST","");
		boolean RCSClLibStatus = RCSClLib.connect ("127.0.0.1",81,"SYSTEM","IO2000RCS");
		if (RCSClLibStatus==false)
      out.println("Connect Error !<br>");
    else{
      out.println("Connect OK<br>");
      RCSClLibStatus=RCSClLib.sendMsg("LOGIN "+userNameX+" "+passWord);
      out.println("-------------------------------------------------------------<br>");
      out.println(tableName+":<br>");
      out.println("-------------------------------------------------------------<br>");
      //RCSClLib.sendMsg("BROADCAST TEST FROM SERVLET");
      String ColumnNames[] = new String[256];
      int noOfColumns=0;
      int colNameNo=0;
      boolean notEnd=true;
      int rowCounter=0;
      while(notEnd) {
        colNameNo++;
        rowCounter++;
        String tmpColName=RCSWClLib.getColumnName(tableName,colNameNo);
        if (tmpColName.equals("")) {
          notEnd=false;
        }
        else {
          ColumnNames[colNameNo] = tmpColName;
          out.println(ColumnNames[colNameNo]+":");
          noOfColumns++;
        }
        if (rowCounter>10) {
          notEnd=false;
        }
      }
     out.println("<br>-------------------------------------------------------------<br>");
      notEnd=true;
      rowCounter=0;
      while (notEnd) {
        rowCounter++;
//        String col1=RCSWClLib.select("ENGINE","REGNO",rowCounter);
        String col1=RCSWClLib.select(tableName,ColumnNames[1],rowCounter);
        out.println(rowCounter+":"+col1);

        if (col1==null) {
          notEnd=false;
        }
        if (rowCounter>10) {
          notEnd=false;
        }
        if (notEnd) {
          for (int i=2; i<= noOfColumns;i++){
            String coln=RCSWClLib.select(tableName,ColumnNames[i],rowCounter);
            out.println(":"+coln);
        }

        out.println("<br>");
        }
      }
    }
    out.println("</body></html>");
    out.close();
  }

  /**
   * Process the HTTP Post request
   */
  public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType("text/html");
    OutputStreamWriter osw = new OutputStreamWriter(response.getOutputStream());
    PrintWriter out = new PrintWriter(osw);
    out.println("<html>");
    out.println("<head><title>rcsServlet1</title></head>");
    out.println("<body>");
    out.println("</body></html>");
    out.close();
  }

  /**
   * Get Servlet information
   * @return java.lang.String
   */
  public String getServletInfo() {
    return "rcs.rcsServlet1 Information";
  }
}

 